a while ago i used to work for an exhibition company and a collegue wrote a lisp program that would allow you to sequentialy number trade booths just by clicking inside the box. it auto centered and everything.
I will try to find the lisp program. it was quiet handy.
try the following, must have acad2000 and up, and the full version.
open notepad and copy and paste text into it
saveas Autonum.LSP and save it into your autocad support file
in Tools>Load Application find the Autonum.LSP file and drag it into your startup suite
on the command line, type in autonum and follow the prompts
enter 0 when asked for the x & y co ordinates to have your numbers snap to points. this is another one that jim wrote way back when, i couldnt find the newer version.
[code];; Name:- Auto Numbering;; Written By:- Jimmy D;; Written on:- 17/5/1999;; Modified by:- GCP310;; Modified on:- 15/8/2006;; This program is for auto-numbering (defun C:autonum (/ pnt1 start rot count ang inc oldlayer) (setq ang 0 rot 0 count 0 inc 1 total 30000 OY 1500 OX 1500 ) (princ " \n") (princ "Warning: Please make sure you have set your text style\n") (princ " and height before you continue. \n") (setq oldlayer (getvar "clayer")) (setq oldsnap (getvar "osmode")) (setvar "osmode" 33) (if(not(tblsearch"layer" "DIMESION")) (command "-layer" "n" "DIMENSION" "c" "red" "DIMENSION" "" ) ) ;; If (setvar "clayer" "DIMENSION") (setq count (getint "Enter Starting No.: ")) (if (null count) (setq start 1)) (setq inc 1) (setq ox (*(getdist "Select x offset: ")0.5)) (if (null ox) (setq ox 0)) (setq oy (*(getdist "Select y offset: ")0.5)) (if (null oy) (setq oy 0)) (setq th (getint "\nEnter text height: ")) (if (null th) (setq th 450)) (while (
I have one road drawing, its 500 meters. I need to put numbering 1 to 500 (such us 1 2 3 4 etc). every text have 1 meter incriment & 1 meter gap. Please help me.